org.apache.ignite.internal.cache.query.index.sorted.inline.io

## Interface InlineIO

All Superinterfaces:
  MvccIO

All Known Implementing Classes:
  AbstractInlineInnerIO, AbstractInlineLeafIO, AbstractInnerIO, AbstractLeafIO, InlineInnerIO, InlineLeafIO, InnerIO, LeafIO, MvccInlineInnerIO, MvccInlineLeafIO, MvccInnerIO, MvccLeafIO

    public interface InlineIO
    extends MvccIO

Represents common API for inline IOs.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `inlineSize()`
`long` `link(long pageAddr, int idx)`

### Methods inherited from interface org.apache.ignite.internal.cache.query.index.sorted.inline.io.MvccIO

`mvccCoordinatorVersion, mvccCounter, mvccOperationCounter, storeMvccInfo`

### Method Detail

#### link

    long link(long pageAddr,
              int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Row link.

#### inlineSize

    int inlineSize()

Returns:
  Number of bytes stored in the inline payload.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022